import { calculateExtendedPickUpDate } from './calculate-extended-pick-up-date';

fdescribe('calculateExtendedPickUpDate', () => {
  const basePickUpDate = '2020-07-17T11:16:50.4404048Z';

  it('should return the extended pick up date by 2 weeks', () => {
    const result = calculateExtendedPickUpDate(basePickUpDate);
    expect(result.slice(0, 10)).toBe('2020-07-31');

    const result2 = calculateExtendedPickUpDate(basePickUpDate, 2);
    expect(result2.slice(0, 10)).toBe('2020-07-31');
  });

  it('should return the extended pick up date by 4 weeks', () => {
    const result = calculateExtendedPickUpDate(basePickUpDate, 4);
    expect(result.slice(0, 10)).toBe('2020-08-14');
  });
});
